<!DOCTYPE html>
<html lang="es">
    <%- include('../partials/head', {title : 'Información Usuarios' }) %>

    <body class="admin-body">
        <%- include('../components/navBar') %>
        <div class="admin">
            <div class="row">
                <%- include('../components/sideBarMenu') %>
                <main class="col-md-9 ms-sm-auto px-md-4">
                    <% if (locals.active && locals.active === 'create') { %>
                        <div class="title-admin">
                            <h1>Agregar</h1>
                        </div>
                        <form class="create-form" action="/admin/usuarios/nuevo" method="post" id="create-user-form">
                    <% } else { %>
                        <div class="title-admin">
                            <h1>Editar</h1>
                        </div>
                        <form class="edit-form" action="/admin/<%= locals.infoUser.id %>/editar-usuario" method="post" id="edit-user-form">
                    <%} %>                            

                        <div id="seccionError" class="mb-4">
                            <% if (locals.mensaje){ %>
                                <% if(typeof locals.mensaje == typeof {}) { %>
                                    <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                        <ul class="mb-0">
                                            <% locals.mensaje.forEach(item => { %>
                                                <li>
                                                    <b><%= item.msg %></b>
                                                </li>
                                            <% }) %>
                                        </ul>                                                                                                                                              
                                    </div>
                                <% } else { %>
                                    <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                        <span> 
                                            <b>
                                                <%= locals.mensaje%>
                                            </b>
                                        </span>
                                    </div>
                                <% } %>
                            <% } %>
                        </div>
                    
                        <div class="mb-3">
                            <label for="name" class="form-label">Nombre y apellidos</label>
                            <input 
                                type="text" 
                                id="name"
                                class="form-control" 
                                name="name"
                                value="<%= locals.infoUser? locals.infoUser.name : '' %>" 
                                required
                            >
                        </div>
                        
                        <div class="mb-3">
                            <label for="identification" class="form-label">Identificación</label>
                            <input 
                              type="identification" 
                              id="identification" 
                              class="form-control" 
                              name="identification"
                              value="<%= locals.infoUser? locals.infoUser.identification : '' %>" 
                            >
                        </div>

                        <div class="mb-3">
                            <label for="email" class="form-label">Correo UTP</label>
                            <input 
                              type="email" 
                              id="email" 
                              class="form-control" 
                              name="email"
                              value="<%= locals.infoUser? locals.infoUser.email : '' %>" 
                              required>
                        </div>  
                          
                        <% if(!locals.infoUser) { %>
                            <div class="mb-3">
                                <label for="password" class="form-label">Contraseña</label>
                                <input 
                                type="password" 
                                id="password" 
                                class="form-control" 
                                name="password"
                                value=""
                                >
                            </div>
                        <% } %>

                        <% if(locals.infoUser.id !== locals.infoUserLogged.id) { %>
                            <div class="">
                                <div class="mb-3 form-check form-switch">
                                    <input 
                                        type="checkbox"
                                        id="idRole"
                                        class="form-check-input"
                                        name="idRole"
                                        role="switch"
                                        <%= (locals.infoUser.idRole == 1) ? 'checked' : '' %>                                    
                                    >
                                    <label class="form-check-label" for="idRole">Super Admin</label>
                                </div>
        
                                <div class="mb-3 form-check form-switch">
                                    <input 
                                        type="checkbox"
                                        id="active"
                                        class="form-check-input"
                                        name="active"
                                        role="switch"
                                        <%= ( locals.infoUser.active == true ) ? 'checked' : '' %>                                    
                                    >
                                    <label class="form-check-label" for="active">Activo</label>
                                </div>
                            </div>   
                        <% } %>

                        <% if (locals.active && locals.active === 'create') { %>
                            <div class="btn-group" role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Crear</button>
                            </div>
                        <% } else { %>
                            <div class="btn-group" role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Actualizar</button>
                            </div>
                        <%} %>
                        
                    </form>
                </main>
            </div>
        </div>

        <!-- <script src="/js/userFormValidator.js"></script> -->
    </body>

</html>